summaryrefslogtreecommitdiff
path: root/includes/patch-includes.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-16 11:49:13 +0100
committerNick White <git@njw.me.uk>2009-04-16 11:49:13 +0100
commit1c9428ba23149f6d07556f658270db45ddcd9ff6 (patch)
tree1d00bd93d18135c3df72943cf94089417915f15c /includes/patch-includes.sh
parentae8f80f7ef3900af963ae1aa55ee066a907e7e3b (diff)
downloadgemrb-gameinstallers-1c9428ba23149f6d07556f658270db45ddcd9ff6.tar.bz2
gemrb-gameinstallers-1c9428ba23149f6d07556f658270db45ddcd9ff6.zip
Make patch failure non-critical
Diffstat (limited to 'includes/patch-includes.sh')
-rw-r--r--includes/patch-includes.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/includes/patch-includes.sh b/includes/patch-includes.sh
index 7081e9d..c9bbd30 100644
--- a/includes/patch-includes.sh
+++ b/includes/patch-includes.sh
@@ -36,3 +36,13 @@ function getpatch
wget $url -O $TMPDIR/$filename || die
fi
}
+
+function die
+{
+ # override main die for patches so they won't wipe out
+ # a whole install
+
+ echo " ! The patch install failed; sorry." 1>&2
+
+ exit 1
+}